h, w = map(int, input().split())
dp = [[0] * (w + 1) for _ in range(h + 1)]

for i in range(1, h + 1):
    for j in range(1, w + 1):
        dp[i][j] = i * j  # Площадь пустой витрины

        for k in range(1, i):
            dp[i][j] = max(dp[i][j], dp[k][j] + dp[i - k][j])

        for k in range(1, j):
            dp[i][j] = max(dp[i][j], dp[i][k] + dp[i][j - k])

print(dp[h][w])
